#include<iostream>
using namespace std;
int main()
{
    long long n,d,k,broqch=0,broqch2=1,sum=0,broqch3=0;
    cin>>n>>d>>k;
    long long red[k];
    while(broqch!=k)
    {

        for(broqch3=0; broqch3<d; broqch3++)

        {
            broqch2++;
            if(broqch2>n)
            {
                broqch2=1;
            }
        }
        red[broqch]=broqch2;
        broqch++;
    }
    for(int i=0; i<k; i++)
    {
        sum+=red[i];
    }
    cout<<sum+1;
    return 0;
}
